function [out] = IIDstereo( soundSource, sampleRate, theta, headradius )

% function which simulates Interaural intensity difference of
% both stereo channels
%
% [out] = IIDstereo( soundSource, sampleRate, theta, headradius )
%
% soundSource is the sound source to be relocated
% sampleRate  is the sampling rate of the soundSource
% theta       is the angle to which the sound source is to be 
%             relocated
% headradius  is the radius of the listeners head
% out         is the two channel Interaural intensity
%             difference output 

Left = IID( soundSource, sampleRate, theta, headradius, 1 );
Right= IID( soundSource, sampleRate, theta, headradius, 0 );

out = [Right',Left'];
