function [out]=ITD( soundSource, sampleRate, theta, headradius, isLeft )

% function which simulates Interaural arrival-time difference
%   of either the right or the left channel
%
% ITD( soundSource, sampleRate, theta, headradius, isLeft )
%
% soundSource is the sound source to be relocated
% sampleRate  is the sampling rate of the soundSource
% theta       is the angle to which the sound source is to be 
%             relocated
% headradius  is the radius of the listeners head
% isLeft      is (1/0) depending on if the left or right channel 
%             is to be created
% out         is the single channel Interaural arrival-time 
%             difference output 

if isLeft == 1, 
   
   delayLeft  = Td( theta+90, headradius );
   delayLeft  = zeros( round( delayLeft*sampleRate ), 1 );
   out = [ delayLeft' , soundSource' ];
   
else

   delayRight  = Td( theta-90, headradius );
	delayRight = zeros( round( delayRight*sampleRate ), 1 );
   out = [ delayRight', soundSource' ];
      
end

return;

