function [out] = ITDstereo( soundSource, sampleRate, theta, headradius )

% function which simulates Interaural arrival-time difference of
% both stereo channels
%
% [out] = ITDstereo( soundSource, sampleRate, theta, headradius )
%
% soundSource is the sound source to be relocated
% sampleRate  is the sampling rate of the soundSource
% theta       is the angle to which the sound source is to be 
%             relocated
% headradius  is the radius of the listeners head
% out         is the two channel Interaural arrival-time 
%             difference output 

Left = ITD( soundSource, sampleRate, theta, headradius, 1 );
Right= ITD( soundSource, sampleRate, theta, headradius, 0 );
[Left,Right] = makeSameLength( Left, Right );

out = [Right',Left'];
