function [delay]=Td( theta , headRadius )

% Determines delay of sound source to create desired change
% of sound source effect
%
% [delay]=Td( theta , headRadius )
%
% headRadius  radius of listeners head in centimeters
% theta       angle of sound source in degrees 
% delay       delay needed to realize effect
%

theta = theta/180*pi;
c = 34300;

if( abs( theta ) < pi/2 ),   
   delay = headRadius/c*( 1 - cos( theta ) );
else
   delay = headRadius/c*( abs( theta ) + 1-pi/2 );
end;

return;