
% a demo program to run the ITD, IID, and cascaded ITD/IID algorithms.
clear;


orig    = 0;
iid     = 0;
itd     = 0;
sphere  = 0;
room    = 0;
compare = 0;
pin     = 1;
PAUSE   = 3;

utt = read_rm('../sr049.wav',0);
utt = interp(utt,3);
fs = 48000;

%[utt,fs,bits] = wavread('sounds/Glass4.wav');
%[utt,fs,bits] = wavread('sounds/ding.wav');
%utt = interp(utt,2);
%fs = 2*fs;
noise = gen_noise(fs,0.5);
headRadius = 15;
%utt = noise;

if (orig==1) 
	disp('Press a key to hear original speech waveform');
	pause;
	soundsc(utt,fs);
	pause(PAUSE);
	%disp('Press a key to hear original noise waveform');
	%pause;
	%soundsc(noise,fs);
	%pause(1);
end


if (itd==1)
	disp('Interaural Time Difference (ITD) Model');
   disp('Generating ITD waveforms');
   
	% form: [out]=ITDstereo( soundSource, sampleRate, theta, headradius )
	utt_0     = ITDstereo(utt, fs,   0, headRadius);
	utt_neg90 = ITDstereo(utt, fs, -90, headRadius);
	utt_neg60 = ITDstereo(utt, fs, -60, headRadius);
	utt_neg30 = ITDstereo(utt, fs, -30, headRadius);
	utt_pos30 = ITDstereo(utt, fs,  30, headRadius);
	utt_pos60 = ITDstereo(utt, fs,  60, headRadius);
	utt_pos90 = ITDstereo(utt, fs,  90, headRadius);

	disp('0riginal');
	soundsc(utt, fs);
	pause(PAUSE);
	disp('-90 degrees');
	soundsc(utt_neg90, fs);
	pause(PAUSE);
	disp('-60 degrees');
	soundsc(utt_neg60, fs);
	pause(PAUSE);
	disp('-30 degrees');
	soundsc(utt_neg30, fs);
	pause(PAUSE);
	disp('0 degrees');
	soundsc(utt_0, 48000);
	pause(PAUSE);
	disp('+30 degrees');
	soundsc(utt_pos30, fs);
	pause(PAUSE);
	disp('+60 degrees');
	soundsc(utt_pos60, fs);
	pause(PAUSE);
	disp('+90 degrees');
	soundsc(utt_pos90, fs);
	pause(PAUSE);


	disp('Press any key to continue...');
   pause;
   clear utt_0 utt_neg30 utt_neg60 utt_neg90 utt_pos30 utt_pos60 utt_pos90;
end

if (iid==1)
   disp('Interaural Intensity Difference (IID) Model');
   disp('Generating IID waveforms');
   
   % form: outcolumns = IID(incolumns,fs,az, headRadius)
	utt_0     = IIDstereo(utt, fs,   0, headRadius);
	utt_neg90 = IIDstereo(utt, fs, -90, headRadius);
	utt_neg60 = IIDstereo(utt, fs, -60, headRadius);
	utt_neg30 = IIDstereo(utt, fs, -30, headRadius);
	utt_pos30 = IIDstereo(utt, fs,  30, headRadius);
	utt_pos60 = IIDstereo(utt, fs,  60, headRadius);
	utt_pos90 = IIDstereo(utt, fs,  90, headRadius);

	disp('0riginal');
	soundsc(utt, fs);
	pause(PAUSE);
	disp('-90 degrees');
	soundsc(utt_neg90, fs);
	pause(PAUSE);
	disp('-60 degrees');
	soundsc(utt_neg60, fs);
	pause(PAUSE);
	disp('-30 degrees');
	soundsc(utt_neg30, fs);
	pause(PAUSE);
	disp('0 degrees');
	soundsc(utt_0, fs);
	pause(PAUSE);	
	disp('+30 degrees');
	soundsc(utt_pos30, fs);
	pause(PAUSE);
	disp('+60 degrees');
	soundsc(utt_pos60, fs);
	pause(PAUSE);
	disp('+90 degrees');
	soundsc(utt_pos90, fs);
   pause(PAUSE);
   
   disp('Press any key to continue...');
   pause;
   clear utt_0 utt_neg30 utt_neg60 utt_neg90 utt_pos30 utt_pos60 utt_pos90;

end

if (sphere==1)
   disp('Spherical (Cascaded IID-ITD) Model');
   disp('Generating Spherical Waveforms');
  
	% form:  [out] = spherical( soundSource, sampleRate, theta, headRadius )
	utt_0     = spherical(utt, fs,   0, headRadius);
	utt_neg90 = spherical(utt, fs, -90, headRadius);
	utt_neg60 = spherical(utt, fs, -60, headRadius);
	utt_neg30 = spherical(utt, fs, -30, headRadius);
	utt_pos30 = spherical(utt, fs,  30, headRadius);
	utt_pos60 = spherical(utt, fs,  60, headRadius);
	utt_pos90 = spherical(utt, fs,  90, headRadius);

	disp('0riginal');
	soundsc(utt, fs);
	pause(PAUSE);
	disp('-90 degrees');
	soundsc(utt_neg90, fs);
	pause(PAUSE);
	disp('-60 degrees');
	soundsc(utt_neg60, fs);
	pause(PAUSE);
	disp('-30 degrees');
	soundsc(utt_neg30, fs);
	pause(PAUSE);
	disp('0 degrees');
	soundsc(utt_0, fs);
	pause(PAUSE);	
	disp('+30 degrees');
	soundsc(utt_pos30, fs);
	pause(PAUSE);
	disp('+60 degrees');
	soundsc(utt_pos60, fs);
	pause(PAUSE);
	disp('+90 degrees');
	soundsc(utt_pos90, fs);
	pause(PAUSE);
   
   disp('Press any key to continue...');
   pause;
   clear utt_0 utt_neg30 utt_neg60 utt_neg90 utt_pos30 utt_pos60 utt_pos90;
   
end


if (room==1)
   disp('Spherical Model with Room Effect');
   disp('Generating Roomy Waveforms');
   
   % form:  [out] = roomModel( soundSource, sampleRate, theta, headRadius, K, T )
	utt_0     = roomModel(utt, fs,   0, headRadius, 0.4,20);
	utt_neg90 = roomModel(utt, fs, -90, headRadius, 0.4,20);
	utt_neg60 = roomModel(utt, fs, -60, headRadius, 0.4,20);
	utt_neg30 = roomModel(utt, fs, -30, headRadius, 0.4,20);
	utt_pos30 = roomModel(utt, fs,  30, headRadius, 0.4,20);
	utt_pos60 = roomModel(utt, fs,  60, headRadius, 0.4,20);
	utt_pos90 = roomModel(utt, fs,  90, headRadius, 0.4,20);

	disp('0riginal');
	soundsc(utt, fs);
	pause(PAUSE);
	disp('-90 degrees');
	soundsc(utt_neg90, fs);
	pause(PAUSE);
	disp('-60 degrees');
	soundsc(utt_neg60, fs);
	pause(PAUSE);
	disp('-30 degrees');
	soundsc(utt_neg30, fs);
	pause(PAUSE);
	disp('0 degrees');
	soundsc(utt_0, fs);
	pause(PAUSE);	
	disp('+30 degrees');
	soundsc(utt_pos30, fs);
	pause(PAUSE);
	disp('+60 degrees');
	soundsc(utt_pos60, fs);
	pause(PAUSE);
	disp('+90 degrees');
	soundsc(utt_pos90, fs);
	pause(PAUSE);
   
   disp('Press any key to continue...');
   pause;
   clear utt_0 utt_neg30 utt_neg60 utt_neg90 utt_pos30 utt_pos60 utt_pos90;
   
end

if (compare==1)
   disp('Comparison of 4 methods at +60 degrees');
   itd_pos60 = ITDstereo(utt, fs,  60, headRadius);
	iid_pos60 = IIDstereo(utt, fs,  60, headRadius);
	sph_pos60 = spherical(utt, fs,  60, headRadius);
	room_pos60 = roomModel(utt, fs,  60, headRadius, 0.4,20);
   
   disp('ITD Model');
   soundsc(itd_pos60,fs);
   pause(PAUSE);
	disp('IID Model');      
   soundsc(iid_pos60,fs);
  	pause(PAUSE);
	disp('Spherical Model');
   soundsc(sph_pos60,fs);
  	pause(PAUSE);
	disp('Spherical Model with Room Effect');
   soundsc(room_pos60,fs);
   pause(PAUSE);
   
   disp('Press any key to continue...');
   pause;
   clear itd_pos60 iid_pos60 sph_pos60 room_pos60;
end

if (pin==1)
   disp('Pinna Model');
   disp('Generating Pinna Waveforms');
   
   % form:  [out] = roomModel( soundSource, sampleRate, theta, headRadius, K, T )
	utt_p     = pinna(utt, fs, 60 );
   
   playagain=1;
   while playagain==1,
      
      disp('0 degree elevation');
      deg_0 = pinnaEcho(utt_p(:,53),utt_p(:,17),fs,0.4,20);
		soundsc( deg_0, fs);
		pause(PAUSE);
		disp('-60 degree elevation');
      neg60_deg = pinnaEcho(utt_p(:,42),utt_p(:,6),fs,0.4, 20);
		soundsc( neg60_deg, fs);
		pause(PAUSE);
		disp('+60 degree elevation');
		pos60_deg = pinnaEcho(utt_p(:,65),utt_p(:,29),fs,0.4, 20);
		soundsc( pos60_deg, fs);
		pause(PAUSE);
      playagain = input('Play''em again sam? (1,0): ');
      
   end
   
   %disp('Press any key to continue...');
   %pause;
   %clear utt_p pin;
   
end
