function [out] = roomEcho( soundSource, sampleRate, K, T )

% function which creates a single echo. By itself this function
%   represents the echo percieved in a dom.
%
% [out] = roomEcho( soundSource, sampleRate, K, T )
%
% soundSource is the sound source to which echo is to be added
% sampleRate  is the sampling rate of the soundSource
% K           is the gain of the Echo
% T           is the delay in msec
%
% out         is the echo
%

delay = round(T/1000*sampleRate);
delay = zeros( 1, delay );
out = [delay, K*soundSource']';