function [output] = echoFilter(input, dist, fsamp, num_vs, vs_delay, vs_gain)

% [output] = echoFilter(input, dist, fsamp, num_vs, vs_delay, vs_gain
%
% input - input waveform (a column vector)
% dist - distance from listener to sound source
% fsamp -sampling rate of waveform
% num_vs - # of virtual sources
% vs_delay - delay times for each vs
% vs_gain - attenuation for each vs

vs_samp_delay = round(vs_delay.*fsamp);
max_delay = max( vs_samp_delay );
vs_waves = zeros(length(input)+max_delay,num_vs);

for i = 1:num_vs
   gain = vs_gain(i);
   vs_waves ( 1:(vs_samp_delay(i)+length(input)),i) = gain.*([(zeros(vs_samp_delay(i),1))' input']'); %(1:length(input)-vs_samp_delay(i))
   %fprintf('Delay (msec): %f \t Delay (samps): %d\n',vs_delay(i)*10^3,vs_samp_delay(i));
end

%color = ['y' 'm' 'c' 'g' 'k' 'r' 'y' 'm' 'c' 'g' 'k' 'r' 'y' 'm' 'c' 'g' 'k' 'r'];
%plot(input(1:50000));
%hold on;
%for i = 1:num_vs
%   plot(vs_waves(1:50000,i),color(i));
%end
%hold off;

roomResponse = zeros( length(input)+max_delay,1 );

for i=1:num_vs
   roomResponse = roomResponse + vs_waves(:,i);
end
output = roomResponse;







