function [window] = make_window(length, overlap);


%creates trapezoidal window
if (2*overlap > length)
   disp('ERROR - overlap is too big for window length');
   window = 0;
else
   ramp_up = (1:overlap);
   ramp_up = 1/overlap*ramp_up;
   ramp_down = fliplr(ramp_up);
   plateau = ones(1,length-2*overlap);
   window = [ramp_up plateau ramp_down];
end
