function [out]=spherical( soundSource, sampleRate, theta, headRadius )

% function which simulates a stereo spherical head model
%
% out = spherical ( soundSource, sampleRate, theta, headradius, isLeft )
%
% soundSource is the sound source to be relocated
% sampleRate  is the sampling rate of the soundSource
% theta       is the angle to which the sound source is to be 
%             relocated
% headradius  is the radius of the listeners head
%
% out         is the two channel spherical difference output 

Left  = IID( soundSource, sampleRate, theta, headRadius, 1 );
Right = IID( soundSource, sampleRate, theta, headRadius, 0 );
Left  = ITD( Left',       sampleRate, theta, headRadius, 1 );
Right = ITD( Right',      sampleRate, theta, headRadius, 0 );
[Left,Right] = makeSameLength(Left,Right);
out = [Right',Left'];


