function [Answers] = azimuth(Sounds,fs,guessLimits)

minGuess = guessLimits(1);
maxGuess = guessLimits(2);
[numSounds,soundLength,two] = size( Sounds);
Answers = zeros( 1, numSounds );

azimuthdes( numSounds, minGuess, maxGuess );

for i=1:numSounds,
   fprintf( 'Azimuth test (%d/%d):\n',i,numSounds );
   playCount= 0;
   gaveAnswer = 0;

   while( playCount < 4 & gaveAnswer == 0 )

      playCount = playCount + 1;
      if( playCount == 3 ),
         fprintf( 'Last Time played!\n' );
         pause(1);
      end
      
      thisSound(:,:) = Sounds(i,:,:);
      soundsc( thisSound, fs );
      %pause(1)
      
      if playCount < 3,
        guess = ...
          input('Please enter the azimuth angle ("r" to repeat): ','s');
      else
      guess = input('Please enter the azimuth angle: ','s');
      end;

      while( isempty( guess ) | ...
        ( playCount > 2 & strcmp( guess, 'r' ) == 1 ) |...
        ( ~isempty( str2num( guess ) ) & ...
           ( str2num(guess) < minGuess | str2num(guess) > maxGuess ) ) | ...
        ( isempty( str2num( guess ) ) & ...
           strcmp( guess, 'r' ) == 0 ) ),

        if guess=='r'& playCount==3,
          fprintf( 'You cannot repeat the sound anymore.\n' )
        else
          fprintf( 'The angle must be between: %d and %d.\n',...
                   minGuess, maxGuess)
        end
        if playCount < 3,
          guess = ...
            input('Please enter the azimuth angle ("r" to repeat): ','s');
        else
          guess = input('Please enter the azimuth angle: ','s');
        end;
      end

      if strcmp( guess, 'r' ) == 0,
        Answers(i) = str2num(guess);
        gaveAnswer = 1;
      end
   end
   fprintf( '\n' );
end

fprintf( 'You have successfully completed the Azimuth test\n' )
fprintf( 'Press <Enter> to continue.\n' )
pause
return;
