function [] = getStats()

subjects = ['amr'; 'cb-'; 'cso'; 'jjw'; 'jmh'; 'krd'; 'rjm'; 'sjd'; 'had'; 'scd'];
path = 'test_subjects/';
load(['test_subjects/answers']);
numSubjects = size(subjects,1);


%max         - Largest component.
%min         - Smallest component.
%mean        - Average or mean value.
%median      - Median value.
%std         - Standard deviation.
init=1;

for i=1:size(subjects,1)
	fname = sprintf('%s%s',path,subjects(i,:));
   load(fname);
   spheCounter = 1;
   hrtfCounter = 1;
   for j=1:length(azimuthAnswers),
   	if azimuthAnswers(j,1) == 1,
      	hrtfResults(hrtfCounter,1) = azimuthAnswers(j,2);
      	hrtfResults(hrtfCounter,2) = azimuthResults(j);
      	hrtfCounter = hrtfCounter+1;
   	else
      	spheResults(spheCounter,1) = azimuthAnswers(j,2);
      	spheResults(spheCounter,2) = azimuthResults(j);
      	spheCounter = spheCounter+1;
   	end
   end
   if init==1
      hrtfAzimAll = zeros(length(subjects),size(hrtfResults,1));
      spheAzimAll = zeros(length(subjects),size(spheResults,1));
      elevAll = zeros(length(subjects),size(elevationResults,2));
      spaceElevAll = zeros(length(subjects),size(spaceResults,2));
      spaceAzimAll = zeros(length(subjects),size(spaceResults,2));
      init=0;
   end
  	hrtfAzimAll(i,:)= (hrtfResults(:,2))';
   spheAzimAll(i,:)= (spheResults(:,2))';
   elevAll(i,:) = elevationResults;  
   spaceElevAll(i,:) = spaceResults(1,:);
   spaceAzimAll(i,:) = spaceResults(2,:);
end


hrtfAnsM = [hrtfResults(:,1)';hrtfResults(:,1)';hrtfResults(:,1)';hrtfResults(:,1)';hrtfResults(:,1)'];
hrtfAnsM = [hrtfAnsM;hrtfAnsM];
spheAnsM = [spheResults(:,1)';spheResults(:,1)';spheResults(:,1)';spheResults(:,1)';spheResults(:,1)'];
spheAnsM = [spheAnsM;spheAnsM];
elevAnsM = [elevationAnswers;elevationAnswers;elevationAnswers;elevationAnswers;elevationAnswers];
elevAnsM = [elevAnsM;elevAnsM];
spaceElevAnsM = [spaceAnswers(:,1)';spaceAnswers(:,1)';spaceAnswers(:,1)';spaceAnswers(:,1)';spaceAnswers(:,1)'];
spaceElevAnsM = [spaceElevAnsM;spaceElevAnsM];
spaceAzimAnsM = [spaceAnswers(:,2)';spaceAnswers(:,2)';spaceAnswers(:,2)';spaceAnswers(:,2)';spaceAnswers(:,2)'];
spaceAzimAnsM = [spaceAzimAnsM;spaceAzimAnsM];

[avgH, stdH, minH, maxH, avgErrorH, stdErrorH ] = getMoreStats(hrtfAzimAll, hrtfAnsM);
[avgS, stdS, minS, maxS, avgErrorS, stdErrorS ] = getMoreStats(spheAzimAll, spheAnsM);
[avgE, stdE, minE, maxE, avgErrorE, stdErrorE ] = getMoreStats(elevAll, elevAnsM);
[avgSE, stdSE, minSE, maxSE, avgErrorSE, stdErrorSE ] = getMoreStats(spaceElevAll, spaceElevAnsM);
[avgSA, stdSA, minSA, maxSA, avgErrorSA, stdErrorSA ] = getMoreStats(spaceAzimAll, spaceAzimAnsM);


figure(1);
hold on;
hrtfResults = [hrtfResults(2,1) hrtfResults(4,1) hrtfResults(3,1) hrtfResults(1,1) hrtfResults(5,1)];
avgH = [avgH(2) avgH(4) avgH(3) avgH(1) avgH(5)];
stdH = [stdH(2) stdH(4) stdH(3) stdH(1) stdH(5)];
avgErrorH = [avgErrorH(2) avgErrorH(4) avgErrorH(3) avgErrorH(1) avgErrorH(5)];
stdErrorH = [stdErrorH(2) stdErrorH(4) stdErrorH(3) stdErrorH(1) stdErrorH(5)];
plot( hrtfResults, avgH,'b');
plot( hrtfResults, avgH+stdH,'b:');
plot( hrtfResults, avgH-stdH,'b:');
plot( hrtfResults, avgErrorH,'m');
plot( hrtfResults, avgErrorH+stdErrorH,'m:');
plot( hrtfResults, avgErrorH-stdErrorH,'m:');
axis([-30 70 -95 95]);

figure(2);
hold on;
spheResults = [spheResults(3,1) spheResults(1,1) spheResults(2,1) spheResults(5,1) spheResults(4,1)];
avgS = [avgS(3) avgS(1) avgS(2) avgS(5) avgS(4)];
stdS = [stdS(3) stdS(1) stdS(2) stdS(5) stdS(4)];
avgErrorS = [avgErrorS(3) avgErrorS(1) avgErrorS(2) avgErrorS(5) avgErrorS(4)];
stdErrorS = [stdErrorS(3) stdErrorS(1) stdErrorS(2) stdErrorS(5) stdErrorS(4)];
plot( spheResults, avgS,'b');
plot( spheResults, avgS+stdS,'b:');
plot( spheResults, avgS-stdS,'b:');
plot( spheResults, avgErrorS,'m');
plot( spheResults, avgErrorS+stdErrorS,'m:');
plot( spheResults, avgErrorS-stdErrorS,'m:');
axis([-30 70 -95 95]);

figure(3);
hold on;
elevationAnswers = [elevationAnswers(4) elevationAnswers(2) elevationAnswers(7) elevationAnswers(3) elevationAnswers(1) elevationAnswers(6) elevationAnswers(5)];
avgE = [avgE(4) avgE(2) avgE(7) avgE(3) avgE(1) avgE(6) avgE(5)];
stdE = [stdE(4) stdE(2) stdE(7) stdE(3) stdE(1) stdE(6) stdE(5)];
avgErrorE = [avgErrorE(4) avgErrorE(2) avgErrorE(7) avgErrorE(3) avgErrorE(1) avgErrorE(6) avgErrorE(5)];
stdErrorE = [stdErrorE(4) stdErrorE(2) stdErrorE(7) stdErrorE(3) stdErrorE(1) stdErrorE(6) stdErrorE(5)];
plot( elevationAnswers, avgE,'b');
plot( elevationAnswers, avgE+stdE,'b:');
plot( elevationAnswers, avgE-stdE,'b:');
plot( elevationAnswers, avgErrorE,'m');
plot( elevationAnswers, avgErrorE+stdErrorE,'m:');
plot( elevationAnswers, avgErrorE-stdErrorE,'m:');
axis([-30 70 -95 95]);

figure(4);
sAe = spaceAnswers(:,1)';
hold on;
sAe  = [sAe(9) sAe(7) sAe(5) sAe(2) sAe(4) sAe(10) sAe(3) sAe(8) sAe(1) sAe(6)];
avgSE = [avgSE(9) avgSE(7) avgSE(5) avgSE(2) avgSE(4) avgSE(10) avgSE(3) avgSE(8) avgSE(1) avgSE(6)];
stdSE = [stdSE(9) stdSE(7) stdSE(5) stdSE(2) stdSE(4) stdSE(10) stdSE(3) stdSE(8) stdSE(1) stdSE(6)];
avgErrorSE = [avgErrorSE(9) avgErrorSE(7) avgErrorSE(5) avgErrorSE(2) avgErrorSE(4) avgErrorSE(10) avgErrorSE(3) avgErrorSE(8) avgErrorSE(1) avgErrorSE(6)];
stdErrorSE = [stdErrorSE(9) stdErrorSE(7) stdErrorSE(5) stdErrorSE(2) stdErrorSE(4) stdErrorSE(10) stdErrorSE(3) stdErrorSE(8) stdErrorSE(1) stdErrorSE(6)];
plot( sAe, avgSE,'b');
plot( sAe, avgSE+stdSE,'b:');
plot( sAe, avgSE-stdSE,'b:');
plot( sAe, avgErrorSE,'m');
plot( sAe, avgErrorSE+stdErrorSE,'m:');
plot( sAe, avgErrorSE-stdErrorSE,'m:');
%legend('mean','std dev +', 'std dev -','mean error','stddev error +', 'stddev error -',0)
%axis([-30 70 -95 95])

figure(5);
sAe = spaceAnswers(:,2)';
hold on;
sAe  = [sAe(10) sAe(1) sAe(4) sAe(8) sAe(7) sAe(2) sAe(6) sAe(5) sAe(3) sAe(9)];
avgSA = [avgSA(10) avgSA(1) avgSA(4) avgSA(8) avgSA(7) avgSA(2) avgSA(6) avgSA(5) avgSA(3) avgSA(9)];
stdSA = [stdSA(10) stdSA(1) stdSA(4) stdSA(8) stdSA(7) stdSA(2) stdSA(6) stdSA(5) stdSA(3) stdSA(9)];
avgErrorSA = [avgErrorSA(10) avgErrorSA(1) avgErrorSA(4) avgErrorSA(8) avgErrorSA(7) avgErrorSA(2) avgErrorSA(6) avgErrorSA(5) avgErrorSA(3) avgErrorSA(9)];
stdErrorSA = [stdErrorSA(10) stdErrorSA(1) stdErrorSA(4) stdErrorSA(8) stdErrorSA(7) stdErrorSA(2) stdErrorSA(6) stdErrorSA(5) stdErrorSA(3) stdErrorSA(9)];
plot( sAe, avgSA,'b');
plot( sAe, avgSA+stdSA,'b:');
plot( sAe, avgSA-stdSA,'b:');
plot( sAe, avgErrorSA,'m');
plot( sAe, avgErrorSA+stdErrorSA,'m:');
plot( sAe, avgErrorSA-stdErrorSA,'m:');
%axis([-30 70 -95 95])
