function [] = plotAll(filename)

load (filename);
load (['test_subjects/answers']);

spheResults = zeros(length(azimuthAnswers)/2,2);
spheCounter = 1;
hrtfResults = zeros(length(azimuthAnswers)/2,2);
hrtfCounter = 1;
elevResults = zeros(size(elevationAnswers));

for i=1:length(azimuthAnswers),
   if azimuthAnswers(i,1) == 1,
      hrtfResults(hrtfCounter,1) = azimuthAnswers(i,2);
      hrtfResults(hrtfCounter,2) = azimuthResults(i);
      hrtfCounter = hrtfCounter+1;
   else
      spheResults(spheCounter,1) = azimuthAnswers(i,2);
      spheResults(spheCounter,2) = azimuthResults(i);
      spheCounter = spheCounter+1;
   end
end
azLine = ([-90:90;-90:90])';
elLine = ([-40:90;-40:90])';
spaceLine = ([-180:180;-180:180])';

figure(1);
subplot(1,2,1);
plot( hrtfResults(:,1), hrtfResults(:,2), 'bx' )
hold on;
plot(azLine(:,1),azLine(:,2),'g');
axis([-95 +95 -95 +95]);
axis square;
hold off;
title('HRTF based Azimuth Test Results');
ylabel('Guessed Angle');
xlabel('Actual Angle');
grid on;

subplot(1,2,2);
plot( spheResults(:,1), spheResults(:,2), 'r+' )
hold on;
plot(azLine(:,1),azLine(:,2),'g');
axis([-95 +95 -95 +95]);
axis square;
hold off;
title('Spherical Model based Azimuth Test Results');
ylabel('Guessed Angle');
xlabel('Actual Angle')
grid on;

figure(2);
plot( elevationAnswers, elevationResults, 'bx' )
hold on;
plot(elLine(:,1),elLine(:,2),'g');
hold off;
axis([-45 +95 -45 +95]);
axis square;
title('HRTF based Elevation Test Results');
ylabel('Guessed Angle');
xlabel('Actual Angle');
grid on;

figure(3);
spaceResults = spaceResults';
subplot(1,2,1);
plot(spaceAnswers(:,1), spaceResults(:,1),'bx');
hold on;
plot(elLine(:,1),elLine(:,2),'g');
hold off;
axis([-45 95 -45 95]);
axis square;
title('Free Space Test Results - Elevation');
xlabel('Actual Angle');
ylabel('Guessed Angle');
grid on;

subplot(1,2,2);
plot(spaceAnswers(:,2), spaceResults(:,2),'bx');
hold on;
plot(spaceLine(:,1),spaceLine(:,2),'g');
hold off;
axis([-185 185 -185 185]);
axis square;
title('Free Space Test Results - Azimuth');
xlabel('Actual Angle');
ylabel('Guessed Angle');
grid on;


