function []=plotTotal();

subjects = ['amr'; 'cb-'; 'cso'; 'jjw'; 'jmh'; 'krd'; 'rjm'; 'sjd'; 'had'; 'scd'];
path = 'test_subjects/';
load(['test_subjects/answers']);
%loads azimuthAnswers, elevAnswers, spaceAnswers
azLine = ([-90:90;-90:90])';
elLine = ([-40:90;-40:90])';
spaceLine = ([-180:180;-180:180])';
spheResults = zeros(length(azimuthAnswers)/2,2);
hrtfResults = zeros(length(azimuthAnswers)/2,2);
elevResults = zeros(size(elevationAnswers));



for i=1:length(subjects)

   fname = sprintf('%s%s2',path,subjects(i,:));
   load(fname);
   spheCounter = 1;
   hrtfCounter = 1;
   for i=1:length(azimuthAnswers),
   	if azimuthAnswers(i,1) == 1,
      	hrtfResults(hrtfCounter,1) = azimuthAnswers(i,2);
      	hrtfResults(hrtfCounter,2) = azimuthResults(i);
      	hrtfCounter = hrtfCounter+1;
   	else
      	spheResults(spheCounter,1) = azimuthAnswers(i,2);
      	spheResults(spheCounter,2) = azimuthResults(i);
      	spheCounter = spheCounter+1;
   	end
	end
   figure(1); %azimuth HRTF
   plot(azLine(:,1),azLine(:,2),'g');
   hold on;
   plot( hrtfResults(:,1), hrtfResults(:,2), 'rx' );
   grid on;  
   title('HRTF based Azimuth Test Results');
	ylabel('Guessed Angle');
	xlabel('Actual Angle');
 	axis square;
   axis([-95 95 -95 95]);
   figure(2); %spherical HRTF
   plot(azLine(:,1),azLine(:,2),'g');
   hold on;
   plot( spheResults(:,1), spheResults(:,2), 'rx' )
   grid on;
   title('Spherical Model based Azimuth Test Results');
	ylabel('Guessed Angle');
	xlabel('Actual Angle')
	axis square;
   axis([-95 95 -95 95]);   
	figure(3);
   plot( elevationAnswers, elevationResults, 'rx' )
	hold on;
	plot(elLine(:,1),elLine(:,2),'g');
	axis([-45 +95 -45 +95]);
	axis square;
	title('HRTF based Elevation Test Results');
	ylabel('Guessed Angle');
	xlabel('Actual Angle');
	grid on;
	figure(4);
   spaceResults = spaceResults';
	plot(spaceAnswers(:,1), spaceResults(:,1),'rx');
	hold on;
	plot(elLine(:,1),elLine(:,2),'g');
	axis([-45 95 -45 95]);
	axis square;
	title('Free Space Test Results - Elevation');
	xlabel('Actual Angle');
	ylabel('Guessed Angle');
	grid on;
   figure(5);
   plot(spaceAnswers(:,2), spaceResults(:,2),'rx');
	hold on;
	plot(spaceLine(:,1),spaceLine(:,2),'g');
	axis([-185 185 -185 185]);
	axis square;
	title('Free Space Test Results - Azimuth');
	xlabel('Actual Angle');
	ylabel('Guessed Angle');
   grid on;
end
figure(1);hold off;
figure(2);hold off;
figure(3);hold off;
figure(4);hold off;
figure(5);hold off;
return;

